routes/web.php
<?php

use App\Http\Controllers\CartController;
use App\Http\Controllers\ApiTokenController;
use App\Http\Controllers\DraftController;
use App\Http\Controllers\CustomController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\UserSettingsController;
use App\Http\Controllers\PriceController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\WishlistController;
use App\Models\Price;
use App\Models\Product;
use App\Models\ProductInPricelist;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get(
    '/',
    [OrderController::class, 'index']

    // test_function () {
    //     return view('welcome');
    // }

)->middleware(['auth'])->name('home');

Route::post('/send-password', [CustomController::class, 'sendPassword'])->name('send-password');

Route::get('/catalog/{id?}', [ProductController::class, 'products'])->name('catalog')->middleware(['auth']);
Route::get('/product/list', [ProductController::class, 'list'])->name('list')->middleware(['auth']);

Route::get('/pagination', array('as' => 'ajax.pagination', 'uses' => 'ProductsController@getProducts'))->middleware(['auth']);

Route::get('locale/{locale?}', [UserSettingsController::class, 'setLocale'])->name('locale')->middleware(['auth']);


Route::get('/product/{id?}', [ProductController::class, 'product'])->name('product')->middleware(['auth']);

Route::get('/category/{id?}', [CategoryController::class, 'index'])->name('category')->middleware(['auth']);

Route::get('/cart', [CartController::class, 'index'])->middleware(['auth'])->name('cart');

Route::get('/cart/add', [CartController::class, 'add'])->name('add')->middleware(['auth']);
Route::get('/cart/set', [CartController::class, 'set'])->name('set')->middleware(['auth']);

Route::get('/clear-cart', [CartController::class, 'clear'])->name('clear-cart')->middleware(['auth']);

Route::get('/delivery', [ProductController::class, 'delivery'])->middleware(['auth']);

Route::get('/drafts', [DraftController::class, 'index'])->middleware(['auth']);

Route::get('/draft-edit/{id?}', [DraftController::class, 'DraftEdit'])->middleware(['auth']);
Route::get('/draft/add', [App\Http\Controllers\DraftController::class, 'add'])->name('add')->middleware(['auth']);
Route::get('/draft/copy/{id?}', [DraftController::class, 'DraftCopy'])->middleware(['auth']);
Route::get('/draft/delete/{id?}', [DraftController::class, 'DraftDelete'])->middleware(['auth']);

Route::get('/order-list', [OrderController::class, 'index'])->middleware(['auth']);

Route::get('/prices-xml', [PriceController::class, 'xml'])->middleware(['auth']);
Route::get('/prices-xls', [PriceController::class, 'xls'])->middleware(['auth']);
Route::get('/prices/save-name', [PriceController::class, 'saveName'])->middleware(['auth']);
Route::get('/prices/save', [PriceController::class, 'save'])->middleware(['auth']);
Route::get('/prices/delete', [PriceController::class, 'delete'])->middleware(['auth']);

Route::get('/prices-xml-edit', [PriceController::class, 'xmlEdit'])->middleware(['auth']);
Route::get('/prices-xls-edit', [PriceController::class, 'xlsEdit'])->middleware(['auth']);
Route::get('smart-search', [ProductController::class, 'smartSearch'])->name('smart-search');

Route::get('/tree-category', [PriceController::class, 'treeCategory'])->middleware(['auth']);
Route::get('/price/check-category', [PriceController::class, 'checkCategory'])->middleware(['auth']);

//Route::get('/price/download/{id?}/{lang?}/{prom?}/{all?}/{type?}', [PriceController::class, 'download'])->name('price-download');

Route::post('cart/make-order', [CartController::class, 'MakeOrder'])->middleware(['auth'])->name('make-order');

Route::get('cart/make-order', [OrderController::class, 'index'])->middleware(['auth']);

Route::get('/wishlist', [WishlistController::class, 'index'])->middleware(['auth']);
Route::get('/wishlist/add', [WishlistController::class, 'add'])->name('add')->middleware(['auth']);

Route::get('/wishlist/delete', [WishlistController::class, 'delete'])->name('delete')->middleware(['auth']);

Route::get('/filter', [ProductController::class, 'filter'])->name('filter')->middleware(['auth']);

Route::get('/finish', [CartController::class, 'finish'])->name('finish')->middleware(['auth']);

Route::get('set-hide-price',[ProfileController::class,'setHidePrice'])->name('setHidePrice')->middleware(['auth']);

Route::get('/profile', [ProfileController::class, 'index'])->name('index')->middleware(['auth']);

Route::get('/balance', [ProfileController::class, 'balance'])->name('balance')->middleware(['auth']);

Route::get('/profile/delete', [ProfileController::class, 'deleteTrustedUser'])->name('delete')->middleware(['auth']);

Route::get('/user-add', [ProfileController::class, 'addTrustedUser'])->name('user-add')->middleware(['auth']);
Route::get('/user-edit/{id?}', [ProfileController::class, 'editTrustedUser'])->name('user-edit')->middleware(['auth']);
Route::post('/user-save', [ProfileController::class, 'saveTrustedUser'])->name('user-save')->middleware(['auth']);
Route::post('/changePassword', [ProfileController::class, 'changePassword'])->name('changePassword')->middleware(['auth']);

Route::get('/api-settings', [ApiTokenController::class, 'apiSettings'])->name('api-settings')->middleware(['auth']);
Route::get('/api-manual', [ApiTokenController::class, 'apiManual'])->name('api-manual')->middleware(['auth']);
Route::get('/change-token', [ApiTokenController::class, 'update'])->name('change-token')->middleware(['auth']);

Route::get('/order-detail/{id?}', [OrderController::class, 'orderDetail'])->name('order-detail')->middleware(['auth']);

Route::get('/get-token/{email?}/{pass?}', [ApiTokenController::class, 'getToken'])->name('get-token');

Route::post('add_pictures', [ProductController::class, 'addPictures']);

Route::post('/add_catalog_pictures', [CategoryController::class, 'addPictures']);

Route::post('add_certificates', [ProductController::class, 'addCertificates']);

Route::get('/order-repeat/{id?}', [OrderController::class, 'orderRepeat'])->name('order-repeat')->middleware(['auth']);

Route::get('reconciliation-act',[ProfileController::class,'getAct'])->middleware(['auth']);
Route::get('print-order/{id?}',[OrderController::class,'printOrder'])->name('print-order')->middleware(['auth']);
Route::get('print-retail-order/{id?}',[OrderController::class,'printRetailOrder'])->name('print-retail-order')->middleware(['auth']);
Route::get('print-invoice/{id?}',[OrderController::class,'printInvoice'])->name('print-invoice')->middleware(['auth']);

Route::get('make-order-from-excel',[OrderController::class,'makeOrderFromExcel'])->name('make-order-from-excel')->middleware(['auth']);

Route::post('upload_order',[OrderController::class,'uploadOrder'])->middleware(['auth'])->name('upload-order');

Route::get('/price/{id?}/{lang?}/{all?}/price.xlsx', function ($id, $lang, $all) {
    if ($all == 1) {
        Auth::loginUsingId($id);
        $price_model = Price::where(['all'=>1,'type'=>'xls'])->first();
        $price_id = $price_model->id;
    } else {
        $price_model = Price::where(['id' => $id])->first();
        Auth::loginUsingId($price_model->user_id);
        $price_id = $id;
    };
    return PriceController::downloadXls($price_id,$lang,$all);
})->name('download-xls');

Route::get('/price-test/{id?}/{lang?}/{all?}/price.xlsx', function ($id, $lang, $all) {
    if ($all == 1) {
        Auth::loginUsingId($id);
        $price_model = Price::where(['all'=>1,'type'=>'xls'])->first();
        $price_id = $price_model->id;
    } else {
        $price_model = Price::where(['id' => $id])->first();
        Auth::loginUsingId($price_model->user_id);
        $price_id = $id;
    };
    return PriceController::downloadXlsTest($price_id,$lang,$all);
})->name('download-xls-test');
Route::get('/price/{id?}/{lang?}/{prom?}/{all?}/{type?}/export.xml', function ($id, $lang, $prom, $all, $type) {
    // PriceController::downloadXls($id,$lang,$prom,$all);

    if ($all == 1) {
        Auth::loginUsingId($id);
        $price_model = Price::where(['all'=>1,'type'=>'xml'])->first();
        $price_id = $price_model->id;
    } else {
        $price_model = Price::where(['id' => $id])->first();
        Auth::loginUsingId($price_model->user_id);
        $price_id = $id;
    }
    $stock_group_id = Auth::user()->stock_group_id;
    if ($type=='xml'){
        $categories = PriceController::arrayOfCategories($id,$lang,$all);
        //dd($lang);
        return response()->view('prices.xml', ['categories_xml'=>$categories,'id'=>$price_id,'lang'=>$lang,'prom'=>$prom,'stock_group_id'=>$stock_group_id])->header('Content-type', 'text/xml');
    }elseif($type=='xls'){
        return PriceController::downloadXls($price_id,$lang,$all);
    }else{
        return '';
    }

})->name('price-download');

Route::get('/price-generate', function () {
    $result = PriceController::generatePrice();
    return $result;
})->name('price-generate');

Route::get('/shedule', function () {
    $prices = Price::where(['created' => 0])->get();
            foreach ($prices as $item) {

                $j = PriceController::createProductInPriceList($item->id, 0, 'xml');
                $item->created = 1;
                $item->save();

            }
})->name('shedule');

Route::get('/new-price-generate', function(){
    $prices = Price::where(['created' => 0, 'all' => 0,'temp'=>0])->get();
            foreach ($prices as $item) {

app/Models/OrderItem.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderItem extends MainModel
{
    use HasFactory;

    protected $fillable = ['product_id'];

    public function getProductAttribute()
    {
        $product = Product::where(['id' => $this->product_id])->first();
        return $product;
    }

    public function getCurrencySymbolAttribute()
    {
        $currency = Currency::where(['id' => $this->currency])->first();
        if ($currency!=null){
            return $currency->symbol;
        }else{
            return '';
        }
    }

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

}

resources/views/docs/balance.blade.php
@extends('layouts.app')
@section('scripts')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>
<script src="{{ asset('js/jquery-3.5.1.min.js') }}"></script>
<script src="{{ asset('js/orders.js') }}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.ua.min.js') }}" charset="UTF-8"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.ru.min.js') }}" charset="UTF-8"></script>
@endsection

@section('content')
	<header class="section-header sticky-top">
		@include('layouts.header_top')
		@include('layouts.header_battom')
	</header>
	<section class="padding-y-sm bg-light">
		<div class="container">
			<div class="row">
<article class="card">
    <div class="card-body">
        <div class=" ">
            <form>
                <div class="row g-2">
                    <div class="col-auto">
                        <h5 class="card-title ">{{ __('l.change_period') }}</h5>
                    </div>

                    <?php
                    $fromDate = new DateTime('-30 days');
                    $fromDate = ($fromDate->format('d').'.'.$fromDate->format('m').'.'.$fromDate->format('Y'));
                    $endDate = new DateTime();
                    $endDate = ($endDate->format('d').'.'.$endDate->format('m').'.'.$endDate->format('Y'));
                    ?>
                    <div class="col-sm-12  col-md-3">
                        <input type="text" class="form-control date-from" id="date-from" value="{{$fromDate}}"
                            placeholder="{{ __('l.from_date') }}">
                    </div>

                    <div class="col-sm-12  col-md-3">
                        <input type="text" class="form-control date-to" id="date-to" value="{{$endDate}}" placeholder="{{ __('l.to_date') }}">
                    </div>
                    <div class="col-sm-12  col-md-3">
                        <a class="btn w-100 btn-primary" href="javascript:void(0);" id="get-report">{{ __('l.get_report') }}</a>
                    </div>
                </div>
            </form>
        </div>
        <hr>
        <div id="loading" style="text-align: center; padding-top: 20vh; display: none;">
            <img style="width: 20vh;" src="https://{{setting('domain')}}/img/loading.gif" alt="loading">
        </div>
        <div id="ajax-reload" style="display: none;">
            <iframe id="my_pdf" src="" title="testPdf" height="500px" width="100%"></iframe>
        </div>
    </div>
</article>
<script>
    $('.date-from').datepicker({
        format: "dd.mm.yyyy",
        autoclose: true,
        clearBtn: true,
        todayHighlight: true,
        language: "{{ app()->getLocale() }}",
    });
    $('.date-to').datepicker({
        format: "dd.mm.yyyy",
        autoclose: true,
        clearBtn: true,
        todayHighlight: true,
        language: "{{ app()->getLocale() }}",
    });
</script>

{{-- @include('layouts.mobile_footer_menu') --}}
@include('layouts.footer')
@endsection

resources/views/docs/make_from_excel.blade.php
@extends('layouts.app')
{{-- @include('layouts.app') --}}

@section('scripts')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/dropzone.js"></script>
<script>var upload_order = "{{ __('l.please_upload_files') }}";</script>
<script>var upload_error = "{{ __('l.error_upload_order') }}";</script>
<script>var cart_url = "{{ route('cart')}}";</script>
@endsection

@section('content')
<header class="section-header sticky-top">
    @include('layouts.header_top')
    @include('layouts.header_battom')
</header>

    <div class="container">
        <h3 class="jumbotron">{{ __('l.upload_file_like_this_template') }}</h3>
                <div class="mx-auto" style="max-width: 760px;">
        <img src ="{{ asset('img/price.png') }}" class="img-fluid" />
        </div>
        <br>
        <p class="b">* {{ __('l.upload_file_p1') }}
            <br>* {{ __('l.upload_file_p2') }}
        </p>

        <form method="post" action="{{ route('upload-order') }}" enctype="multipart/form-data" class="dropzone" id="dropzone">
            @csrf
        </form>
    </div>

<script type="text/javascript">
    Dropzone.options.dropzone = {
        maxFilesize: 256,
        renameFile: function(file) {
            var dt = new Date();
            var time = dt.getTime();
            return time + file.name;
        },
        acceptedFiles: ".xls,.xlsx",
        uploadMultiple: false,
        maxFiles: 1,
        dictDefaultMessage: upload_order,
        addRemoveLinks: true,
        timeout: 5000,
        success: function(file, response) {
            window.location.href = cart_url;
        },
        error: function(file, response) {
            toastr.options.positionClass = 'toast-top-center';
            toastr.options.timeOut = 30000;
            toastr.error(upload_error);
            $(file.previewElement).addClass("dz-error").find('.dz-error-message').text(upload_error);
        }
    };
</script>
@endsection

resources/views/docs/order_detail.blade.php
@extends('layouts.app')
@section('scripts')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>
<script src="{{ asset('js/jquery-3.5.1.min.js') }}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.ua.min.js') }}" charset="UTF-8"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.ru.min.js') }}" charset="UTF-8"></script>
@endsection
@section('content')
	<header class="section-header sticky-top">
		@include('layouts.header_top')
		@include('layouts.header_battom')
	</header>
	<section class="padding-y-sm bg-light">
		<div class="container">
			<div class="row">
				@include('docs.order_detail_body')
			</div>
		</div>
	</section>
	{{-- @include('layouts.mobile_footer_menu') --}}
	@include('layouts.footer')
@endsection

resources/views/docs/order_detail_body.blade.php
<div class="col-lg-8">
    <!-- ================ COMPONENT COMPARE ================== -->
    <div class="card">
        <div class="card-body">
            <nav class="nav nav-pills mx-auto">
                <a class="nav-link border me-2" href="{{ route('home') }}"><i class="fa fa-arrow-left "></i>
                    {{ __('l.to_order_list') }}</a>
                <a class="nav-link border me-2" href="{{route('order-repeat',['id'=>$order->id])}}">{{ __('l.repeat_order') }}</a>
                @if ((Auth::user()->price_view != 0 && Auth::user()->trusted==1) || Auth::user()->trusted==0)
                <a class="nav-link border me-2" href="{{route('print-order',['id'=>$order->id])}}">{{ __('l.print-order') }}</a>
                @endif
                <a class="nav-link border me-2" href="{{route('print-retail-order',['id'=>$order->id])}}">{{ __('l.print-retail-order') }}</a>
            </nav>
            <hr>
            <span class="badge {{ $order->sourceClass }}"> {{ $order->sourceName }} </span>
            <h5 class=" ">{{ __('l.order') }} № {{ $order->code }} {{ __('l.from') }} {{ $order->created_at }}</h5>
            <hr>
            <!-- item-row -->
            <?php
            $total_retail = 0;
            ?>
            @foreach ($order->products as $row)
                <article class="row gy-3  mb-4">
                    <div class="col-lg-8">
                        <figure class="itemside  me-lg-5">
                            <div class="aside"><img src="{{ Str::replaceFirst('public', 'storage', asset($row->product->mainPicture))}}" class="img-sm border rounded">
                            </div>
                            <figcaption class="info">
                                <a href="{{ route('product', ['id' => $row->product_id]) }}"
                                    class="title mb-1 text-decoration-none">{{ $row->product->name }}</a>
                                <!--<span><i class="me-2 text-success fa fa-check"></i>Номенклатура отгружена</span>-->
                            </figcaption>
                        </figure>
                    </div>

                    <div class="col-lg-3 col-sm-4 col-6">
                        <div class="price-wrap lh-sm">

                            @if ((Auth::user()->price_view != 0 && Auth::user()->trusted==1) || Auth::user()->trusted==0)
                            <var class="price h6">{{number_format($row->price,2)}} {{$row->currency_symbol}} / {{$row->product->multiplicity_unit}}.</var> <br>
                            <small class="text-muted"> {{number_format($row->price,2)}} {{$row->currency_symbol}} х {{ number_format($row->qty,0) }} = {{number_format($row->price*$row->qty,2)}} {{$row->currency_symbol}} </small>
                            @else
                            <?php
                            $total_retail = $total_retail + ($row->product->retailPriceUah*$row->qty);
                            ?>
                            <var class="price h6">{{number_format($row->product->retailPriceUah,2)}} UAH / {{$row->product->multiplicity_unit}}.</var> <br>
                            <small class="text-muted"> {{number_format($row->product->retailPriceUah,2)}} UAH х {{ number_format($row->qty,0) }} = {{number_format($row->product->retailPriceUah*$row->qty,2)}} UAH </small>
                            @endif

                        </div>
                    </div>
                    <div class="col-lg-1 col-sm-4">
                        <div class="float-lg-end">
                            <a href="javascript:void(0);" class="btn btn-light" data-product-id="{{$row->product_id}}"> <i class="fa fa-heart" add-to-wishlist></i></a>
                        </div>
                    </div>
                </article>
                <hr>
            @endforeach
            <span class="b">{{__('l.comment')}}:</span>
            <p class="comments">{{$order->comment}}</p>
            <article class="card-body border-top">

                <table style="max-width:360px" class="table table-sm float-lg-end">
                    <tbody>
                        @if ((Auth::user()->price_view != 0 && Auth::user()->trusted==1) || Auth::user()->trusted==0)
                        <tr>
                            <td> USD: </td>
                            <td> {{$order->sumUsd}} </td>
                        </tr>
                        <tr>
                            <td> EUR: </td>
                            <td> {{$order->sumEur}} </td>
                        </tr>

                        <tr>
                            <td> UAH: </td>
                            <td> {{$order->sumUah}}</td>
                        </tr>

                        <tr>
                            <td> <strong>{{__('l.order_in_UAH')}}:</strong> </td>
                            <td> <strong class="h5 price">{{$order->totalSum}}</strong> </td>
                        </tr>
                        @else
                        <tr>
                            <td> <strong>{{__('l.order_in_UAH')}}:</strong> </td>
                            <td> <strong class="h5 price">{{number_format($total_retail,2)}}</strong> </td>
                        </tr>
                        @endif
                    </tbody>
                </table>


            </article>
            <!-- item-row //end -->

        </div>
    </div>

    <!-- =================== COMPONENT COMPARE .// ================== -->
</div>
<div class="col-lg-4">
    <!-- =================== COMPONENT SELLER ====================== -->
    <article class="card">
        <div class="card-body">
            <h5 class="card-title">{{__('l.order_statuses')}}</h5>

            <br>

            <ul class="steps-vertical">
                @if ($order->status >= 1)
                    <li class="step">
                        <b class="icon"></b>
                        <h6 class="title mb-0">{{ __('l.new') }}</h6>
                        <p class="text-muted">{{ __('l.OrderAccepted') }}</p>
                    </li>
                @endif
                @if ($order->status >= 2)
                    <li class="step">
                        <b class="icon"></b>
                        <h6 class="title  mb-0">{{ __('l.confirm') }}</h6>
                        <p class="text-muted">{{ __('l.OrderAccepted') }}</p>
                    </li>
                @endif
            </ul>

            @if ($order->status >= 3)
                <ul class="steps-vertical-f">

                    <li class="step">




                        <div class="row">
                            <div class="col-6">

                                <h6 class="title  mb-0">{{ __('l.invoice') }}</h6>
                                <p class="text-muted">{{ $order->invoice_number }}</p>
                                <b class="icon"></b>
                            </div>
                            <div class="col-6">
                                @if ((Auth::user()->price_view != 0 && Auth::user()->trusted==1) || Auth::user()->trusted==0)
                                <a class="nav-link border me-2" href="{{route('print-invoice',['id'=>$order->id])}}">{{ __('l.print-invoice') }}</a>
                                @endif
                            </div>

                        </div>

                    </li>
                </ul>
            @endif
        </div>
    </article>
    <!-- =================== COMPONENT SELLER .// ================== -->
</div>

resources/views/docs/order_list.blade.php
<article class="card">
    <div class="card-body">
        <div class="d-none d-lg-block">
            <form>
                <div class="row g-2">
                    <div class="col-auto">
                        <h5 class="card-title ">{{ __('l.order_list') }}</h5>
                    </div>
                    <div class="col-auto">
                        <input type="text" class="form-control" id="number-search" placeholder="{{ __('l.number_search') }}">
                    </div>
                    <div class="col-auto">
                        <input type="text" class="form-control date-from" id="date-from" value=""
                            placeholder="{{ __('l.from_date') }}">
                    </div>
                    <div class="col-auto">
                        <input type="text" class="form-control date-to" id="date-to" value="" placeholder="{{ __('l.to_date') }}">
                    </div>
                    <!--<div class="col-auto">-->
                    <!--    <select class="form-select" id="source-order">-->
                    <!--        <option value="4" selected>{{ __('l.all_source_order') }}</option>-->
                    <!--        <option value="1">{{ __('l.b2b') }}</option>-->
                    <!--        <option value="2">{{ __('l.manager') }}</option>-->
                    <!--        <option value="3">{{ __('l.office') }}</option>-->
                    <!--    </select>-->
                    <!--</div>-->
                    <div class="col-auto">
                        <a class="btn w-100 btn-primary" href="javascript:void(0);" id="go-filter-orders">{{ __('l.filter') }}</a>
                    </div>
                    <div class="col-auto">
                        <a class="btn w-100 btn-gray" href="javascript:void(0);" id="clear-filter">{{ __('l.clear_filter') }}</a>
                    </div>
                    <div class="col-auto">
                        <a class="btn btn-primary ms-5" href="{{route('make-order-from-excel')}}">{{ __('l.make_order_from_excel') }}</a>
                    </div>
                </div>
            </form>
        </div>
        <div class="col-auto d-block d-lg-none">
            <h5 class="card-title ">{{ __('l.order_list') }}</h5>
        </div>
        <hr>
        <div id="ajax-reload">
            @include('docs.order_list_body')
        </div>
    </div>
</article>
<script>
    $('.date-from').datepicker({
        format: "dd.mm.yyyy",
        autoclose: true,
        clearBtn: true,
        todayHighlight: true,
        language: "{{ app()->getLocale() }}",
    });
    $('.date-to').datepicker({
        format: "dd.mm.yyyy",
        autoclose: true,
        clearBtn: true,
        todayHighlight: true,
        language: "{{ app()->getLocale() }}",
    });
</script>

resources/views/docs/order_list_body.blade.php
<?php

$count = ($orders->total()-($orders->perPage()*($orders->currentPage()-1)))+1;

?>
@foreach ($orders as $key=>$order )
<?php
$count = $count-1;
?>
<a href="{{route('order-detail',['id'=>$order->id])}}" class="text-decoration-none">
    <div class="row">
        <div class="col-xl-5">
            <div class="row">
                <div class=" col-xs-11 col-sm-11 col-md-10">
                    <span class="aside icon-xs h6">{{$count}}</span>

                    <span class="b"><span class="text-dark">№ </span>{{$order->code}}</span>
                    <span class="b text-dark">{{__('l.from')}} {{$order->created_at}}</span>

                </div>
            </div>
        </div>
        <div class="col-xl-1">
            <span class="badge {{$order->sourceClass}}"> {{$order->sourceName}} </span>
        </div>
        <div class="col-xl-6">
            <ul class="steps-wrap">
                <li class="step @if ($order->status>=1) active @endif">
                    <span class="icon">1</span>
                    <span class="text">{{__('l.new')}}</span>
                </li>
                <li class="step @if ($order->status>=2) active @endif">
                    <span class="icon">2</span>
                    <span class="text">{{__('l.confirm')}}</span>
                </li>
                <li class="step @if ($order->status>=3) active @endif">
                    <span class="icon">3</span>
                    <span class="text">{{__('l.success')}}</span>
                </li>
            </ul>
        </div>
    </div>
    <span class="">{{__('l.comment')}}: <b class="text-dark">{{$order->comment}}</b></span>

</a>
<hr>
@endforeach
{!! $orders->links('layouts.mobile_pagination') !!}

resources/views/docs/orders.blade.php
@extends('layouts.app')
@section('scripts')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>
<script src="{{ asset('js/jquery-3.5.1.min.js') }}"></script>
<script src="{{ asset('js/orders.js') }}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.ua.min.js') }}" charset="UTF-8"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.ru.min.js') }}" charset="UTF-8"></script>
@endsection

@section('content')
	<header class="section-header sticky-top">
		@include('layouts.header_top')
		@include('layouts.header_battom')
	</header>
	<section class="padding-y-sm bg-light">
		<div class="container">
			<div class="row">
				@include('docs.order_list')
			</div>
		</div>
	</section>
	{{-- @include('layouts.mobile_footer_menu') --}}
	@include('layouts.footer')
@endsection